WHATIS(1)

NUME
whatis - afișează descrierile de paginilor de manual pe o singură linie

REZUMAT
whatis [-dlv?V] [-r|-w] [-s listă] [-m sistem[,...]] [-M ruta] [-L identificator_localizare] [-C fișier] nume ...

DESCRIERE
Fiecare pagină de manual are o descriere scurtă disponibilă în interiorul acesteia. whatis caută numele paginilor de manual și afișează descrierile paginii de manual al oricărui nume ce coincide. nume poate să conțină metacaractere (-w) sau să fie o expresie regulată (-r). Utilizând aceste opțiuni, poate fi necesar să citați nume sau să eludați (\) caracterele speciale pentru a împiedica interpretarea lor de către shell. Bazele de date index sunt utilizate în timpul căutării, și sunt actualizate de programul mandb. În funcție de instalare, acesta poate fi executat de o sarcină «cron» periodică, sau poate fi executat manual, după ce au fost instalate noi pagini de manual. Pentru a produce o bază de date whatis de text în stil vechi din baza de date relativă index, lansați comanda: whatis -M rută-manual -w '*' | sort > rută-manual/whatis unde rută-manual este o ierarhie de pagini de manual precum /usr/man.

OPȚIUNI

-d, --debug
    Imprimă informațiile de depanare.

-v, --verbose
    Imprimă mesaje de avertisment detaliate.

-r, --regex
    Interpretează fiecare nume ca o expresie regulată. Dacă un nume se potrivește cu orice parte a unui nume de pagină, o potrivire va fi făcută. Această opțiune cauzează whatis să fie oarecum mai lent din cauza naturii căutărilor în bazele de date.

-w, --wildcard
    Interpretează fiecare nume ca un model care conține metacaractere în stil shell. Pentru ca o potrivire să fie făcută, un nume expandat trebuie să se potrivească cu numele întreg al paginii. Această opțiune cauzează ca whatis să fie oarecum mai lent din cauza naturii căutărilor în bazele de date.

-l, --long
    Nu reduce ieșirea la lățimea terminalului. În mod normal, ieșirea va fi trunchiată la lățimea terminalului pentru a evita rezultate nedorite din secțiunile NUME scrise greșit.

-s listă, --sections=listă, --section=listă
    Caută doar secțiunile de manual specificate. listă, este o listă de secțiuni separate prin două puncte sau virgulă. Dacă o intrare din listă este o secțiune simplă, de exemplu „3”, atunci lista de descrieri afișată va include pagini din secțiunile „3”, „3perl”, „3x”, și așa mai departe; în timp ce, dacă o intrare din listă are o extensie, de exemplu „3perl”, atunci lista va include doar paginile din acea parte exactă a secțiunii de manual.

-m sistem[,...], --systems=sistem[,...]
    Dacă acest sistem are acces la numele paginilor de manual ale altor sisteme de operare, acestea pot fi accesate utilizând această opțiune. Pentru a căuta numele paginilor ale «Noului_SO», utilizați opțiunea -m «Nou_SO». sistem(ul) specificat poate fi o combinație de nume de sisteme de operare separate prin virgulă. Pentru a include o căutare pentru numele paginilor de manual ale sistemului de operare nativ, includeți numele sistemului man în șirul de argumente. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-M ruta, --manpath=ruta
    Specificați un set alternativ de ierarhii de pagini de manual, delimitate de două puncte, pentru căutare. În mod implicit, whatis utilizează variabila de mediu $MANPATH, cu excepția cazului în care aceasta este goală sau nestabilită, caz în care va determina o rută adecvată către paginile de manual, pe baza variabilei de mediu $PATH. Această opțiune suprascrie conținutul lui $MANPATH.

-L identificator_localizare, --locale=identificator_localizare
    whatis va determina în mod normal localizarea curentă printr-un apel la funcția C setlocale(3) care interoghează diverse variabile de mediu, inclusiv $LC_MESSAGES și $LANG. Pentru a suprascrie temporar valoarea determinată, utilizați această opțiune pentru a furniza un șir identificator_localizare direct către whatis. Rețineți că aceasta nu va avea efect până când căutarea paginilor nu începe efectiv. Ieșirea precum mesajul de ajutor va fi întotdeauna afișată în localizarea determinată inițial.

-C fișier, --config-file=fișier
    Utilizează acest fișier de configurare al utilizatorului, mai degrabă decât cel implicit din ~/.manpath.

-?, --help
    Imprimă un mesaj de ajutor și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Afișează informații despre versiune.

STARE DE IEȘIRE

0   Executarea programului s-a încheiat fără erori.

1   Eroare de utilizare, de sintaxă sau de fișier de configurare.

2   Eroare operațională.

16  Nu s-a găsit nimic care să se potrivească cu criteriile specificate.

MEDIU

SYSTEM
    Dacă $SYSTEM este stabilit, acesta va avea același efect ca și cum ar fi fost specificat ca argument la opțiunea -m.

MANPATH
    Dacă $MANPATH este stabilită, valoarea acesteia va fi interpretată ca fiind ruta de căutare a ierarhiei paginilor de manual delimitată prin două puncte care trebuie utilizată. Consultați secțiunea RUTA DE CĂUTARE din manpath(5) pentru comportamentul implicit și detalii despre modul în care este gestionată această variabilă de mediu.

MANWIDTH
    Dacă $MANWIDTH este stabilită, valoarea acesteia este utilizată ca lățimea terminalului (consultați opțiunea --long). Dacă nu este stabilită, lățimea terminalului va fi calculată utilizând valoarea de $COLUMNS, și ioctl(2) dacă este disponibilă, sau se revine la 80 de caractere dacă orice altceva eșuează.

FIȘIERE

/usr/share/man/index.(bt|db|dir|pag)
    Memorie tampon a bazei de date index globală tradițională.

/var/cache/man/index.(bt|db|dir|pag)
    Memorie tampon a bazei de date index globală conform cu FHS.

/usr/share/man/.../whatis
    O bază de date text whatis tradițională.

CONSULTAȚI ȘI
apropos(1), man(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECȚIUNI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db